clc
clear all

% Load data
filename='öǰ__2015-201807';

data=xlsread([filename,'.xlsx']);
% data=flipud(data);

% number of objects in the xlsx file
n_objects = size(data,2)/2;

% 2013-2015
%  42
% ߱ǥ Է 40. 15 1, 18 6 
%
% ϰ 866, 878 -->   ָ 
months=(datetime(2015,01,01,0,0,0):calmonths(1):datetime(2018,07,01,0,0,0))';
months=flipud(datenum(months));
% If there're NaN, convert it to dummy number
data(isnan(data))=11111111;

% rearrange data for each objects
dates_object=zeros(size(data,1),n_objects);

% insert day information into raw data to process data easily
tmp=repmat('01',size(data,1),1);
for i=1:n_objects
    dates_object(:,i)=datenum(datevec([num2str(data(:,1+2*(i-1))),tmp],'yyyymmdd'));
    % cannot convert because there is NaN 
end
x=zeros(size(months,1),n_objects);
for i=1:size(months,1)
    for p=1:n_objects
        row=find(dates_object(:,p)==months(i));
        if row
            x(i,p)=data(row,2*p);
        else
            x(i,p)=NaN;
        end
    end
end
for p=1:n_objects
    for i=flipud(1:size(dates_object,1))
        if dates_object(i,p)==406099
            dates_object(i,p)=NaN;
        end
    end
end
figure(1)
for p=1:n_objects
    subplot(n_objects,1,p)
    plot(datetime(months,'ConvertFrom','datenum'),x(:,p),'.')
    hold on
    plot(datetime(dates_object(:,p),'ConvertFrom','datenum'),data(:,2*p))
    hold off
end
save(['C:\Users\J\Desktop\ AI ȸ\\matfiles\',filename,'.mat'],'x')